#preloader {
    position: fixed;
    inset: 0;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    background: #000;

    opacity: 1;
    visibility: visible;

    transition: opacity .4s ease;

    z-index: 9999;
}

.preloader-logo {
    width: 200px;
    height: auto;
    opacity: 0.9;
}

.loader-bar {
    position: relative;
    margin-top: 22px;

    width: 20%;
    height: 4px;

    overflow: hidden;
    border-radius: 999px;
    background: rgba(255, 255, 255, 0.12);
}

.loader-bar::before {
    content: "";
    position: absolute;
    top: 0;
    left: -45%;

    width: 45%;
    height: 100%;

    background: linear-gradient(
        90deg,
        transparent,
        #e2c15a,
        transparent
    );

    animation: loaderMove 1.1s infinite linear;
}

@keyframes loaderMove {
    from {
        left: -45%;
    }
    to {
        left: 100%;
    }
}